org.gradle.api.tasks

## Annotation Type Internal

-     @Incubating
      @Documented
      @Retention(value=RUNTIME)
      @Target(value={METHOD,FIELD})
      public @interface Internal

  Attached to a task property to indicate that the property is not to be taken into account for up-to-date checking.

  This annotation should be attached to the getter method or the field for the property.

  This will cause the task not to be considered out-of-date when the property has changed.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `value` The reason for ignoring this element.

- - ### Element Detail

    - #### value

          public abstract String value

      The reason for ignoring this element.
      Default:
        ""